Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.ctrl-hub.com/v3/training-items \ --header 'Content-Type: application/vnd.api+json' \ --header 'X-Session-Token: <api-key>' \ --data ' { "data": { "type": "<string>", "attributes": { "name": "<string>", "description": "<string>", "renewal_period": 2, "high_risk_duration": 2, "medium_risk_duration": 2, "low_risk_duration": 2, "expires_at": "2023-11-07T05:31:56Z" }, "relationships": { "organisation": { "data": { "type": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } } } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "<string>", "attributes": { "name": "<string>", "description": "<string>", "renewal_period": 2, "high_risk_duration": 2, "medium_risk_duration": 2, "low_risk_duration": 2, "expires_at": "2023-11-07T05:31:56Z" }, "relationships": { "organisation": { "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "<string>" } } } }, "jsonapi": { "version": "<string>" } }
Create a new training item.
Session token for authentication.
The training item to create.
Show child attributes
Get a training item.
JSON API response object
A training item